
function createWorld()
    board = ag.createBox(8, 8, 0.01, {static = true})
    board:setPosition(0, 0, -0.005)
    board:setTexture(checker)
    board:setTextureScale(2)
    ground = ag.createPlane(0, 0, 1, -0.005)
    ground:setColor(0, 0.4, 0)
    ag.setCamera(2, -8, 8)
end

function init_event()
    checker = ag.loadTexture("checker.jpg")
    createWorld()
end

function reinit_event()
    ball = ag.createSphere(0.5)
    ball:setColor(1, 1, 0)
    ball:setPosition(3, 3, 4)
end
